osgDB::ObjectMark Class Reference

`#include <DataTypes>`

## Public Member Functions

| ObjectMark ()
| ObjectMark (const ObjectMark &copy)
void | set (const char *name, int delta=0)

## Public Attributes

std::string | _name
int | _indentDelta

## Constructor & Destructor Documentation

## ObjectMark() [1/2]

osgDB::ObjectMark::ObjectMark | ( |  | ) |

inline

References _indentDelta.

Referenced by ObjectMark().

## ObjectMark() [2/2]

osgDB::ObjectMark::ObjectMark | ( | const ObjectMark & | copy | ) |

inline

References _indentDelta, _name, and ObjectMark().

## Member Function Documentation

## set()

void osgDB::ObjectMark::set | ( | const char * | name,
|  | int | delta = 0 )

inline

References _indentDelta, and _name.

## Member Data Documentation

## _indentDelta

int osgDB::ObjectMark::_indentDelta

Referenced by ObjectMark(), ObjectMark(), and set().

## _name

std::string osgDB::ObjectMark::_name

Referenced by ObjectMark(), and set().

The documentation for this class was generated from the following file:

- DataTypes